using System;
using System.Collections.Generic;
using System.Text;

namespace FormatWindowsApplication
{
    public class Medlem : IFormattable
    {
        private string fornavn;
        private string efternavn;
        public Medlem(string initFornavn, string initEfternavn)
        {
            this.fornavn = initFornavn;
            this.efternavn = initEfternavn;
        }
        public string AflsFornavn()
        {
            return this.fornavn;
        }
        public string AflsEfternavn()
        {
            return this.efternavn;
        }
        public void RetFornavn(string nytFornavn)
        {
            this.fornavn = nytFornavn;
        }
        public void RetEfternavn(string nytEfternavn)
        {
            this.efternavn = nytEfternavn;
        }
        public override string ToString()
        {
            return this.fornavn+";"+this.efternavn;
        }

        #region IFormattable Members

        public string ToString(string format, IFormatProvider formatProvider)
        {
            if (format == null) return ToString();
            switch (format.ToUpper())
            {
                case "F": return this.fornavn;
                case "E": return this.fornavn;
                case "FE":  return this.fornavn+" "+this.efternavn;
                case "EF": return this.efternavn+", "+this.fornavn;
                default: return this.ToString();
            }
        }

        #endregion
    }
}
